package com.lcrx.selector.entity.DO;

import lombok.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ###
 */
@Getter
@Setter
@AllArgsConstructor
@ToString
public class InitializeResultDO {
    private Map<Integer, Map<String, List<String>>> variantTableGroupMap;
    private Map<Integer, Map<Integer, Map<String, List<String>>>> variantTableMap;
    private Map<Integer, List<Integer>> invalidGroupMap;

    public InitializeResultDO() {
        this.variantTableGroupMap = new HashMap<>();
        this.variantTableMap = new HashMap<>();
        this.invalidGroupMap = new HashMap<>();
    }
}
